# PBAR and DEX Values on Hedera

## Location

The API is available at `https://api.pangolin.exchange`

Hedera Endpoint at `/v2/295/png/`

## Price in USD

<mark style="color:blue;">`GET`</mark> `https://api.pangolin.exchange/v2/295/png/priceUSD`

**Try API:** [Get the USD value of 1 PBAR](https://api.pangolin.exchange/v2/295/png/priceUSD)

**Endpoint:** `/v2/295/png/priceUSD`

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Request" %}
`https://api.pangolin.exchange/v2/295/png/priceUSD`
{% endtab %}

{% tab title="Sample Response" %}

```
0.02957834078013283580396227899999729
```

{% endtab %}
{% endtabs %}

{% endtab %}
{% endtabs %}

## Circulating Supply

<mark style="color:blue;">`GET`</mark> `https://api.pangolin.exchange/v2/295/png/circulating-supply-whole`

**Try API**: [Query the circulating supply of PBAR denominated in PBAR](https://api.pangolin.exchange/v2/295/png/circulating-supply-whole)\
(A result of 1 PBAR would return the value `1`)

**Endpoint**: `/v2/295/png/circulating-supply-whole`

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Request" %}
`https://api.pangolin.exchange/v2/295/png/circulating-supply-whole`
{% endtab %}

{% tab title="Sample Response" %}

```
33344179
```

{% endtab %}
{% endtabs %}

{% endtab %}
{% endtabs %}

## Total Supply

<mark style="color:blue;">`GET`</mark> `https://api.pangolin.exchange/v2/295/png/total-supply-whole`

**Test API**: [Get the total lifetime supply of PBAR denominated in PBAR](https://api.pangolin.exchange/v2/295/png/total-supply-whole)\
(A result of 1 PBAR would return the value `1`)

**Endpoint**: `/v2/295/png/total-supply-whole`

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Request" %}
`https://api.pangolin.exchange/v2/295/png/total-supply-whole`
{% endtab %}

{% tab title="Sample Response" %}

```
37676875
```

{% endtab %}
{% endtabs %}

{% endtab %}
{% endtabs %}

## Treasury Supply

<mark style="color:blue;">`GET`</mark> `https://api.pangolin.exchange/v2/295/png/community-treasury-whole`

**Try API**: [Query the balance of PBAR denominated in PBAR](https://api.pangolin.exchange/v2/295/png/community-treasury-whole)\
(A result of 1 PBAR would return the value `1`)

**Endpoint**: `/v2/295/png/community-treasury-whole`

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Request" %}
`https://api.pangolin.exchange/v2/295/png/community-treasury-whole`
{% endtab %}

{% tab title="Sample Response" %}

```
4332695
```

{% endtab %}
{% endtabs %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pangolin.exchange/developers/apis/pbar-and-dex-values-on-hedera.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
